Bug 54401 - Perl make test errors
Summary: Perl make test errors
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-05 20:44 UTC by Lanny DeVaney
Modified: 2007-04-18 16:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-22 21:52:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lanny DeVaney 2001-10-05 20:44:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
Perl automated test suite failed two errors:
lib/db-btree ... FAILED at test 86
lib/db-hash ... Out of memory!  FAILED at test 49

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpm -Uvh <tree-path>/SRPMS/SRPMS/perl*.src.rpm
2. rpm -bc /usr/src/redhat/SPECS/perl*.spec
3. cd /usr/src/redhat/BUILD/perl*
4. make test
	

Actual Results:  Failed 2 test scripts out of 230, 99.13% okay.
make: *** [test] Error 1

Expected Results:  All tests passed successfully.

Additional info:

Comment 1 Karsten Hopp 2001-10-24 15:26:15 UTC
same happens on i386


Comment 2 David Sainty 2001-11-30 18:52:33 UTC
any ideas?


Comment 3 James Antill 2001-12-13 20:05:07 UTC
Same problem occurs on the alpha. Manually running db-btree shows the following
failures...

not ok 86
not ok 87
not ok 88
not ok 149



Comment 4 Warren Togami 2005-05-22 21:52:24 UTC
closing, old, and not exactly fixable either.  Even the latest perl's test suite
is too fragile.


Note You need to log in before you can comment on or make changes to this bug.